Bug 57426 - AES1660 patch series (and some non-related fixes)
Summary: AES1660 patch series (and some non-related fixes)
Status: RESOLVED FIXED
Alias: None
Product: libfprint
Classification: Unclassified
Component: libfprint (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: libfprint-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-22 19:29 UTC by Vasily Khoruzhick
Modified: 2012-11-29 09:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
0001-Thanks-to-Greg-and-Martin-from-AuthenTec.patch (590 bytes, patch)
2012-11-22 19:29 UTC, Vasily Khoruzhick
Details | Splinter Review
0002-aes-unify-image-processing-code-for-AuthenTec-device.patch (18.67 KB, patch)
2012-11-22 19:30 UTC, Vasily Khoruzhick
Details | Splinter Review
0003-aeslib-prevent-integer-overflow.patch (982 bytes, patch)
2012-11-22 19:30 UTC, Vasily Khoruzhick
Details | Splinter Review
0004-Split-fpi_im_resize-factor-argument-into-width_facto.patch (2.86 KB, patch)
2012-11-22 19:30 UTC, Vasily Khoruzhick
Details | Splinter Review
0005-lib-add-AES1660-driver.patch (107.34 KB, patch)
2012-11-22 19:31 UTC, Vasily Khoruzhick
Details | Splinter Review
0006-Add-a-workaround-for-bug-in-MINDTCT.patch (950 bytes, patch)
2012-11-22 21:22 UTC, Vasily Khoruzhick
Details | Splinter Review
0001-Thanks-to-Greg-and-Martin-from-AuthenTec.patch (590 bytes, patch)
2012-11-25 18:20 UTC, Vasily Khoruzhick
Details | Splinter Review
0002-aes-unify-image-processing-code-for-AuthenTec-device.patch (18.67 KB, patch)
2012-11-25 18:21 UTC, Vasily Khoruzhick
Details | Splinter Review
0003-aeslib-prevent-integer-overflow.patch (982 bytes, patch)
2012-11-25 18:22 UTC, Vasily Khoruzhick
Details | Splinter Review
0004-Split-fpi_im_resize-factor-argument-into-width_facto.patch (2.86 KB, patch)
2012-11-25 18:22 UTC, Vasily Khoruzhick
Details | Splinter Review
0005-lib-add-AES1660-AES2660-common-routines.patch (23.15 KB, patch)
2012-11-25 18:22 UTC, Vasily Khoruzhick
Details | Splinter Review
0006-lib-add-AES1660-driver.patch (89.50 KB, patch)
2012-11-25 18:23 UTC, Vasily Khoruzhick
Details | Splinter Review
0007-lib-add-AES2660-driver.patch (111.74 KB, patch)
2012-11-25 18:23 UTC, Vasily Khoruzhick
Details | Splinter Review
0008-Add-a-workaround-for-bug-in-MINDTCT.patch (950 bytes, patch)
2012-11-25 18:24 UTC, Vasily Khoruzhick
Details | Splinter Review
0009-Update-AUTHORS-file.patch (892 bytes, patch)
2012-11-25 18:24 UTC, Vasily Khoruzhick
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily Khoruzhick 2012-11-22 19:29:09 UTC

    
Comment 1 Vasily Khoruzhick 2012-11-22 19:29:45 UTC
Created attachment 70448 [details] [review]
0001-Thanks-to-Greg-and-Martin-from-AuthenTec.patch
Comment 2 Vasily Khoruzhick 2012-11-22 19:30:11 UTC
Created attachment 70449 [details] [review]
0002-aes-unify-image-processing-code-for-AuthenTec-device.patch
Comment 3 Vasily Khoruzhick 2012-11-22 19:30:34 UTC
Created attachment 70450 [details] [review]
0003-aeslib-prevent-integer-overflow.patch
Comment 4 Vasily Khoruzhick 2012-11-22 19:30:56 UTC
Created attachment 70451 [details] [review]
0004-Split-fpi_im_resize-factor-argument-into-width_facto.patch
Comment 5 Vasily Khoruzhick 2012-11-22 19:31:21 UTC
Created attachment 70452 [details] [review]
0005-lib-add-AES1660-driver.patch
Comment 6 Vasily Khoruzhick 2012-11-22 21:22:21 UTC
Created attachment 70462 [details] [review]
0006-Add-a-workaround-for-bug-in-MINDTCT.patch

It's RFC patch, I don't insist on merging it right now, however it fixes crash for me on AES1660, AES2501 and AES2550.
Comment 7 Vasily Khoruzhick 2012-11-25 18:20:56 UTC
Created attachment 70546 [details] [review]
0001-Thanks-to-Greg-and-Martin-from-AuthenTec.patch
Comment 8 Vasily Khoruzhick 2012-11-25 18:21:45 UTC
Created attachment 70547 [details] [review]
0002-aes-unify-image-processing-code-for-AuthenTec-device.patch
Comment 9 Vasily Khoruzhick 2012-11-25 18:22:12 UTC
Created attachment 70548 [details] [review]
0003-aeslib-prevent-integer-overflow.patch
Comment 10 Vasily Khoruzhick 2012-11-25 18:22:38 UTC
Created attachment 70549 [details] [review]
0004-Split-fpi_im_resize-factor-argument-into-width_facto.patch
Comment 11 Vasily Khoruzhick 2012-11-25 18:22:57 UTC
Created attachment 70550 [details] [review]
0005-lib-add-AES1660-AES2660-common-routines.patch
Comment 12 Vasily Khoruzhick 2012-11-25 18:23:15 UTC
Created attachment 70551 [details] [review]
0006-lib-add-AES1660-driver.patch
Comment 13 Vasily Khoruzhick 2012-11-25 18:23:47 UTC
Created attachment 70552 [details] [review]
0007-lib-add-AES2660-driver.patch
Comment 14 Vasily Khoruzhick 2012-11-25 18:24:12 UTC
Created attachment 70553 [details] [review]
0008-Add-a-workaround-for-bug-in-MINDTCT.patch
Comment 15 Vasily Khoruzhick 2012-11-25 18:24:31 UTC
Created attachment 70554 [details] [review]
0009-Update-AUTHORS-file.patch
Comment 16 Vasily Khoruzhick 2012-11-25 18:26:52 UTC
Now this series also contains AES2660 driver. It's quite similar to AES1660, and they share almost all code, the only difference is in init commands and start imaging commands, and in sensor size (AES1660 is 128x8, AES2660 is 192x8).
Comment 17 Bastien Nocera 2012-11-29 08:53:59 UTC
Comment on attachment 70547 [details] [review]
0002-aes-unify-image-processing-code-for-AuthenTec-device.patch

Review of attachment 70547 [details] [review]:
-----------------------------------------------------------------

Use g_slist_free_full() instead of two separate calls.
Comment 18 Bastien Nocera 2012-11-29 09:00:33 UTC
Comment on attachment 70553 [details] [review]
0008-Add-a-workaround-for-bug-in-MINDTCT.patch

Review of attachment 70553 [details] [review]:
-----------------------------------------------------------------

Pretty sure I mentioned I didn't like that change.
Comment 19 Bastien Nocera 2012-11-29 09:02:00 UTC
All committed except patch 8.
Comment 20 Vasily Khoruzhick 2012-11-29 09:08:43 UTC
(In reply to comment #19)
> All committed except patch 8.

OK for me, it was RFC patch


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.